import type { ElementType, HTMLAttributes, ReactNode } from "react";
import type { CSSObject } from "styled-components";
import type { BackgroundProps, BorderProps, ColorProps, FlexboxProps, GridProps, LayoutProps, PositionProps, ShadowProps, SpaceProps, TypographyProps } from "styled-system";
export interface BoxProps extends Omit<HTMLAttributes<HTMLDivElement>, "color">, SpaceProps, ColorProps, TypographyProps, LayoutProps, FlexboxProps, GridProps, BackgroundProps, BorderProps, PositionProps, ShadowProps {
    /**
     * The component that will have the badge.
     */
    children?: ReactNode;
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The component used for the root node.
     * @default "div"
     */
    as?: ElementType;
    /**
     * CSS property gap.
     * @default undefined
     */
    gap?: string | number;
}
