import type { ReactElement, ReactNode } from "react";
import type { BoxProps } from "../Box";
import type { PaperProps } from "../Paper";
export interface CardProps extends PaperProps {
}
export interface CardActionAreaProps extends BoxProps {
    /**
     * If `true`, the ripple effect will be disabled.
     * @default false
     */
    disableRipple?: boolean;
}
export interface CardHeaderProps extends Omit<BoxProps, "title"> {
    /**
     * The content of the Card Title.
     */
    title: ReactNode;
    /**
     * The content of the component.
     * @default undefined
     */
    subtitle?: ReactNode;
    /**
     * Component to place in the beginning of the component, normally will be an Avatar.
     * @default undefined
     */
    startAdornment?: ReactElement;
    /**
     * Component to place in the end of the component, normally will be a icon Button.
     * @default undefined
     */
    endAdornment?: ReactElement;
}
export interface CardContentProps extends BoxProps {
}
export interface CardActionsProps extends BoxProps {
}
export interface CardMediaProps extends BoxProps {
    /**
     * An alias for image property. Available only with media components. Media components: video, audio, picture, iframe, img.
     * @default undefined
     */
    src?: string;
}
