import type { ElementType, HTMLAttributes } from "react";
import type { CSSObject } from "styled-components";
import type { LayoutProps, PositionProps, SpaceProps } from "styled-system";
export interface DividerProps extends HTMLAttributes<HTMLHRElement>, SpaceProps, LayoutProps, PositionProps {
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The component used for the root node.
     * @default "hr"
     */
    as?: ElementType;
    /**
     * The divider orientation.
     * @default "horizontal"
     */
    orientation?: "horizontal" | "vertical";
    /**
     * The size of the divider.
     * @default 1
     */
    size?: number;
    /**
     * The color of the divider.
     * @default undefined
     */
    color?: string;
}
