import type { HTMLAttributes } from "react";
import type { CSSObject } from "styled-components";
import type { FlexboxProps, PositionProps, ShadowProps, SpaceProps } from "styled-system";
export interface DotsProgressProps extends HTMLAttributes<HTMLSpanElement>, SpaceProps, FlexboxProps, PositionProps, ShadowProps {
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The color of the loader.
     * @default ""
     */
    color?: string;
    /**
     * The size of the dots progress.
     * @default 8
     */
    size?: number;
}
