import type { ReactNode } from "react";
import type { GenerateMenuProps } from "../Menu";
import type { TooltipProps } from "../Tooltip";
export interface DropdownProps extends Omit<TooltipProps, "content" | "contextMenu"> {
    /**
     * The dropdown menu. It can be a component using a Menu or an array of objects.
     */
    menu: ReactNode | GenerateMenuProps[];
    /**
     * Specific menu to be used if the trigger has `contextMenu`.
     * @default undefined
     */
    contextMenu?: ReactNode | GenerateMenuProps[];
}
