"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var n=require("styled-components"),i=require("styled-system"),t=require("../../utils-styles/colors.js"),o=require("../../utils-styles/pallette.js");function l(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var r=l(n);const a=r.default.div`
  font-family: "Equinor";
  position: relative;
  display: flex;
  flex-direction: column;
  width: ${({fullWidth:e})=>e?"100%":"25ch"};
  height: fit-content;
  * {
    box-sizing: inherit;
  }
  ${i.compose(i.space,i.typography,i.layout,i.flexbox,i.position)};
  ${({multiple:e})=>e&&"height: fit-content;"};
  textarea {
    ${i.layout};
  }
  .opt-input__label,
  .opt-input__description {
    ${i.typography}
  }
  ${({css:e})=>e};
`,p=r.default.label`
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 0.75rem;
  font-weight: 500;
  line-height: 1.333em;
  color: ${e=>o.pallette(e).text?.tertiary||t.grey50};
  &[aria-disabled="true"] {
    color: ${e=>o.pallette(e).disabled?.text||t.disabledText} !important;
  }
  margin: 0px;
  > p {
    margin: 0;
    &:last-child {
      text-align: right;
    }
    &:first-child {
      text-align: left;
    }
  }
`,d=r.default.div`
  position: relative;
  display: flex;
  width: 100%;
  font-size: 0.75rem;
  font-weight: 500;
  line-height: 1.333em;
  padding-top: 8px;
  padding-left: 8px;
  > span {
    flex: 1;
  }
  color: ${e=>o.pallette(e).text?.tertiary||t.grey50};
  &.opt-input__description--success {
    color: ${e=>o.pallette(e).success?.main||t.success};
    &.has-focus {
      color: ${e=>o.pallette(e).success?.hover||t.successHover};
    }
  }
  &.opt-input__description--warning {
    color: ${e=>o.pallette(e).warning?.main||t.warning};
    &.has-focus {
      color: ${e=>o.pallette(e).warning?.hover||t.warningHover};
    }
  }
  &.opt-input__description--error {
    color: ${e=>o.pallette(e).danger?.main||t.danger};
    &.has-focus {
      color: ${e=>o.pallette(e).danger?.hover||t.dangerHover};
    }
  }
  &[aria-disabled="true"] {
    color: ${e=>o.pallette(e).disabled?.text||t.disabledText} !important;
  }
`,s=r.default.div`
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  border-bottom: 1px solid
    ${e=>e.theme?.mode==="dark"?"#121212":t.grey50};
  background: ${e=>e.theme?.mode==="dark"?t.black28:t.grey10};
  color: ${e=>e.theme?.mode==="dark"?t.secondaryDark:t.grey80};
  & input::placeholder {
    color: ${e=>e.theme?.mode==="dark"?t.textTertiaryDark:t.grey50};
  }
  ${i.color};
  ${i.border};
  > .opt-input__base {
    ${i.typography};
  }
  &.opt-input {
    &.opt-input--success {
      &:not([disabled]) {
        border-bottom: 0;
      }
      outline-style: solid;
      outline-width: ${({outlineWidth:e})=>e||"2px"};
      outline-color: ${e=>o.pallette(e).success?.main||t.success};
    }
    &.opt-input--warning {
      &:not([disabled]) {
        border-bottom: 0;
      }
      outline-style: solid;
      outline-width: ${({outlineWidth:e})=>e||"2px"};
      outline-color: ${e=>o.pallette(e).warning?.main||t.warning};
    }
    &.opt-input--error {
      &:not([disabled]) {
        border-bottom: 0;
      }
      outline-style: solid;
      outline-width: ${({outlineWidth:e})=>e||"2px"};
      outline-color: ${e=>o.pallette(e).danger?.main||t.danger};
    }
    &.opt-input--naked {
      background: transparent !important;
      border-bottom-color: transparent;
      outline: none;
    }
  }
  &:active,
  &:focus,
  &.has-focus {
    outline-style: solid;
    outline-width: ${({outlineWidth:e})=>e||"2px"};
    outline-color: ${e=>o.pallette(e).primary?.main||t.primary};
    &:not([disabled]) {
      border-bottom-color: transparent;
    }
    &.opt-input--success {
      outline-color: ${e=>o.pallette(e).success?.hover||t.successHover};
    }
    &.opt-input--warning {
      outline-color: ${e=>o.pallette(e).warning?.hover||t.warningHover};
    }
    &.opt-input--error {
      outline-color: ${e=>o.pallette(e).danger?.hover||t.dangerHover};
    }
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    outline: none !important;
    color: ${e=>o.pallette(e).disabled?.text||t.disabledText} !important;
    border-bottom-color: transparent !important;
    background-color: ${e=>o.pallette(e).disabled?.fill||t.disabledFill} !important;
  }
`,u=r.default.input`
  width: 100%;
  height: 100%;
  min-height: 36px;
  appearance: none;
  background: transparent;
  border: 0;
  outline: none;
  flex: 1;
  font-family: inherit;
  padding-left: 8px;
  padding-right: 8px;
  font-size: 1rem;
  color: inherit;
  input {
    color: inherit;
  }
  &[aria-disabled="true"] {
    pointer-events: none;
  }
  &.opt-input__base--compact {
    min-height: 24px;
  }
  &.has-children {
    display: flex;
    align-items: center;
    > * {
      appearance: none;
      border: 0;
      background: transparent;
      display: inline-block;
      outline: none;
      width: 100%;
      text-align: left;
      flex: 1;
    }
  }
`;exports.BaseInput=u,exports.Container=a,exports.InputDescription=d,exports.InputLabel=p,exports.InputWrapper=s;
