import type { SyntheticEvent } from "react";
import type { MenuProps } from "./Menu.types";
type ContextProps = Pick<MenuProps, "mode" | "compact" | "inlineCollapsed" | "triggersSubMenu" | "disabled" | "disableRipple"> & {
    isSelected: (menuItemId: string) => boolean;
    isOpen: (menuItemId: string) => boolean;
    onMenuItemClick: (menuItemId: string, event: SyntheticEvent) => void;
    toggleSelect: (menuItemId: string, event: SyntheticEvent) => void;
    toggleOpen: (menuItemId: string, event: SyntheticEvent) => void;
    level: number;
};
export declare const MenuContext: import("react").Context<Partial<ContextProps>>;
export {};
