import type { ElementType, LiHTMLAttributes, ReactNode } from "react";
import type { CSSObject } from "styled-components";
import type { BorderProps, ColorProps, FlexboxProps, LayoutProps, SpaceProps, TypographyProps } from "styled-system";
export interface MenuItemGroupProps extends Omit<LiHTMLAttributes<HTMLLIElement>, "title" | "color">, SpaceProps, ColorProps, TypographyProps, LayoutProps, FlexboxProps, BorderProps {
    /**
     * The content of the component.
     */
    children?: ReactNode;
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The component used for the root node.
     * @default "li"
     */
    as?: ElementType;
    /**
     * The title of the menu element.
     */
    title: ReactNode;
}
