import type { ReactNode } from "react";
import type { TooltipProps } from "../Tooltip";
export interface PopoverProps extends Omit<TooltipProps, "title"> {
    /**
     * The title of the tooltip, empty if is not add it.
     * @default undefined
     */
    title?: ReactNode;
    /**
     * Show a close button in the popover.
     * @default false
     */
    showClose?: boolean;
    /**
     * Custom close icon.
     * @default undefined
     */
    closeIcon?: ReactNode;
    /**
     * If defined will show a footer on the popover.
     * This footer is designed to receive an array of buttons (actions) but you can add any component.
     * @default undefined
     */
    footer?: ReactNode;
}
