import type { ReactElement, RefAttributes } from "react";
export interface PortalProps {
    /**
     * The content of the component.
     */
    children: ReactElement & RefAttributes<ReactElement>;
    /**
     * A HTML element.
     * The `container` will have the portal children appended to it.
     *
     * By default, it uses the body of the top-level document object.
     *
     * @default document.body
     */
    container?: HTMLElement;
    /**
     * If `true` The `children` will be inside the DOM hierarchy of the parent component.
     * @default false
     */
    disablePortal?: boolean;
}
