"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var o=require("styled-components"),i=require("../utils-styles/colors.js"),t=require("../utils-styles/pallette.js");function r(e){return e&&typeof e=="object"&&"default"in e?e:{default:e}}var l=r(o);const n=l.default.div`
  font-family: "Equinor";
  position: relative;
  border-width: 1px;
  border-style: solid;
  border-color: ${e=>t.pallette(e).disabled?.border??i.disabledBorder};
  border-radius: 4px;

  & .ql-toolbar {
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
  }

  & .ql-container {
    position: relative;
    box-sizing: border-box;
    height: 100%;
    margin: 0px;
    line-height: 1.55;
  }

  & .ql-editor {
    white-space: pre-wrap;
    outline: none;
    padding: 12px 16px;
  }

  & .ql-container.ql-disabled .ql-tooltip {
    display: none;
  }

  & .ql-tooltip {
    position: absolute;
    display: flex;
    align-items: center;
    padding: 10px 16px;
    border-radius: 4px;
    border-width: 1px;
    border-style: solid;
    border-color: ${e=>t.pallette(e).disabled?.border??i.disabledBorder};
    background-color: ${e=>t.pallette(e).background?.main??i.white};
    box-shadow:
      rgb(0 0 0 / 5%) 0px 1px 3px,
      rgb(0 0 0 / 5%) 0px 10px 15px -5px,
      rgb(0 0 0 / 4%) 0px 7px 7px -5px;
    z-index: 1;
  }

  & .ql-action:before {
    content: "Edit";
    cursor: pointer;
    display: block;
    white-space: nowrap;
    height: 32px;
    font-size: 14px;
    font-weight: 500;
    line-height: 32px;
    padding: 0px 16px;
    margin-right: 12px;
    border-radius: 4px;
    background-color: ${e=>t.pallette(e).primary?.main||i.primary};
    color: ${e=>t.pallette(e).text?.inverted??i.white};
  }

  & .ql-remove::before {
    content: "Remove";
    cursor: pointer;
    color: ${e=>t.pallette(e).danger?.main??i.danger};
    font-size: 14px;
    display: block;
    height: 32px;
    line-height: 32px;
  }

  & .ql-hidden {
    display: none;
  }

  & .ql-preview {
    display: inline-block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    max-width: 180px;
    margin-right: 16px;
  }

  & .ql-editing .ql-preview {
    display: none;
  }

  & .ql-editing .ql-remove {
    display: none;
  }

  & .ql-editing .ql-action:before {
    content: "Save";
    margin-right: 0;
  }

  & .ql-tooltip.ql-editing input {
    display: block;
  }

  & .ql-tooltip input {
    display: none;
    -webkit-tap-highlight-color: transparent;
    height: 34px;
    appearance: none;
    resize: none;
    box-sizing: border-box;
    font-size: 14px;
    width: 100%;
    text-align: left;
    margin-right: 16px;
    padding-left: 12px;
    padding-right: 12px;
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid
      ${e=>e.theme?.mode==="dark"?"#121212":i.grey50};
    background-color: ${e=>e.theme?.mode==="dark"?i.black28:i.grey10};
    color: ${e=>e.theme?.mode==="dark"?i.secondaryDark:i.grey80};

    &::placeholder {
      opacity: 1;
      user-select: none;
      color: ${e=>e.theme?.mode==="dark"?i.secondaryDark:i.grey50};
    }

    &:focus {
      outline-style: solid;
      outline-width: 2px;
      outline-color: ${e=>t.pallette(e).primary?.main??i.primary};
      border-bottom-color: transparent;
    }
  }

  & .ql-clipboard {
    left: -100000px;
    height: 1px;
    overflow-y: hidden;
    position: fixed;
    top: 50%;
  }

  & .ql-align-center {
    text-align: center;
  }

  & .ql-align-right {
    text-align: right;
  }

  & .ql-align-justify {
    text-align: justify;
  }

  & .ql-direction-rtl {
    direction: rtl;
    text-align: inherit;
  }

  & iframe.ql-video {
    width: 100%;
    height: 400px;
    @media (max-width: 755px) {
      height: 220;
    }
  }

  & a {
    color: ${e=>t.pallette(e).primary?.main??i.primary};
    text-decoration: underline;
  }

  & h1,
  & h2,
  & h3,
  & h4,
  & h5,
  & h6 {
    font-weight: 700;
    margin-top: 0px;
  }

  & ol,
  & ul {
    margin-top: 12px;
    padding-left: calc(32px);
    list-style-position: outside;
  }

  & h1 {
    font-size: 34px;
    margin-bottom: calc(15.6px);
  }

  & h2 {
    font-size: 26px;
    margin-bottom: calc(16.2px);
  }

  & h3 {
    font-size: 22px;
    margin-bottom: calc(16.8px);
  }

  & h4 {
    font-size: 18px;
    margin-bottom: calc(17.4px);
  }

  & h5 {
    font-size: 16px;
    margin-bottom: calc(18px);
  }

  & h6 {
    font-size: 14px;
    margin-bottom: calc(18px);
  }

  & p {
    margin-top: 0px;
    margin-bottom: 12px;
  }

  & .ql-indent-1:not(.ql-direction-rtl) {
    padding-left: 3em;
  }
  & .ql-indent-2:not(.ql-direction-rtl) {
    padding-left: 6em;
  }
  & .ql-indent-3:not(.ql-direction-rtl) {
    padding-left: 9em;
  }
  & .ql-indent-4:not(.ql-direction-rtl) {
    padding-left: 12em;
  }
  & .ql-indent-5:not(.ql-direction-rtl) {
    padding-left: 15em;
  }
  & .ql-indent-6:not(.ql-direction-rtl) {
    padding-left: 18em;
  }
  & .ql-indent-7:not(.ql-direction-rtl) {
    padding-left: 21em;
  }
  & .ql-indent-8:not(.ql-direction-rtl) {
    padding-left: 24em;
  }

  & .ql-indent-1.ql-direction-rtl.ql-align-right {
    padding-right: 3em;
  }
  & .ql-indent-2.ql-direction-rtl.ql-align-right {
    padding-right: 6em;
  }
  & .ql-indent-3.ql-direction-rtl.ql-align-right {
    padding-right: 9em;
  }
  & .ql-indent-4.ql-direction-rtl.ql-align-right {
    padding-right: 12em;
  }
  & .ql-indent-5.ql-direction-rtl.ql-align-right {
    padding-right: 15em;
  }
  & .ql-indent-6.ql-direction-rtl.ql-align-right {
    padding-right: 18em;
  }
  & .ql-indent-7.ql-direction-rtl.ql-align-right {
    padding-right: 21em;
  }
  & .ql-indent-8.ql-direction-rtl.ql-align-right {
    padding-right: 24em;
  }

  & pre {
    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas,
      "Liberation Mono", "Courier New", monospace;
    line-height: 1.55;
    border-radius: 4px;
    font-size: 12px;
    padding: 10px;
    margin: 0px;
    overflow-x: auto;
    color: ${e=>t.pallette(e).text?.main??i.black};
    background-color: ${e=>t.pallette(e).disabled?.fill||i.disabledFill};
  }

  & code {
    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas,
      "Liberation Mono", "Courier New", monospace;
    line-height: 1.55;
    border-radius: 4px;
    font-size: 12px;
    padding: 2px calc(10px / 2);
    color: ${e=>t.pallette(e).text?.main??i.black};
    background-color: ${e=>t.pallette(e).disabled?.fill||i.disabledFill};
  }

  & blockquote {
    margin-top: 0px;
    margin-left: 0px;
    margin-bottom: 12px;
    padding-left: 16px;
    border-left-width: 4px;
    border-left-style: solid;
    color: ${e=>t.pallette(e).text?.main??i.black};
    border-left-color: ${e=>t.pallette(e).disabled?.border??i.disabledBorder};
  }

  & img {
    display: block;
    position: relative;
    max-width: 100%;
    margin-bottom: 12px;
  }

  & .ql-image-uploading img {
    filter: blur(10px);
  }

  & .ql-blank {
    &::before {
      content: attr(data-placeholder);
      position: absolute;
      left: 16px;
      right: 16px;
      color: ${e=>e.theme?.mode==="dark"?i.secondaryDark:i.grey50};
    }
  }

  & table {
    border-collapse: collapse;
    margin: 0;
    overflow: hidden;
    table-layout: fixed;
    width: 100%;

    td,
    th {
      border-width: 1px;
      border-style: solid;
      border-color: ${e=>t.pallette(e).disabled?.border??i.disabledBorder};
      box-sizing: border-box;
      min-width: 1em;
      padding: 6px 8px;
      position: relative;
      vertical-align: top;

      > * {
        margin-bottom: 0;
      }
    }

    th {
      background-color: ${e=>t.pallette(e).background?.main??i.white};
      font-weight: bold;
      text-align: left;
    }
  }

  .tableWrapper {
    margin: 1.5rem 0;
    overflow-x: auto;
  }

  .mention {
    background-color: ${e=>t.pallette(e).secondary?.highlight??i.secondaryHighlight};
    border-radius: 4px;
    box-decoration-break: clone;
    color: ${e=>t.pallette(e).primary?.main??i.primary};
    padding: 4px;

    &::after {
      content: "\\200B";
    }
  }

  &&& {
    ${({css:e})=>e}
  }
`;exports.BaseRichTextEditor=n;
