import type { CSSObject } from "styled-components";
import type { ReactQuillProps } from "./components/Quill";
import type { RichTextEditorToolbarProps } from "./components/Toolbar";
export type { QuillOnBlurProps, QuillOnChangeProps, QuillOnChangeSelectionProps, QuillOnFocusProps, QuillRange, QuillUnprivilegedEditor, QuillValue, ReactQuillHTMLElement, } from "./components/Quill";
export type { RichTextEditorToolbarControlsProps, RichTextEditorToolbarLabelsProps, RichTextEditorToolbarProps, } from "./components/Toolbar";
export interface RichTextEditorProps extends ReactQuillProps {
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The definitions for the rich text editor toolbar.
     */
    toolbar?: RichTextEditorToolbarProps;
    /**
     * Called when image image is inserted in editor.
     * @default undefined
     */
    onImageUpload?: (image: File) => Promise<string>;
}
export interface RichTextProps {
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The html content.
     */
    value: string;
}
