import type { DeltaStatic } from "quill";
import React from "react";
import type { QuillRange, ReactQuillHTMLElement, ReactQuillProps } from "./ReactQuill.types";
export type MemoizedReactQuillProps = Omit<ReactQuillProps, "generation">;
type MemoizedReactQuillState = {
    generation: number;
};
/**
 * Using a class components in order to use the life-cycle methods as we want to
 * have the best performant component and avoid the maximum number of re-renders.
 *
 * The old life cycle from a class components gives us more control to avoid re-renders.
 */
declare class MemoizedReactQuill extends React.Component<MemoizedReactQuillProps, MemoizedReactQuillState> {
    /** Fields */
    reactQuillRef: React.RefObject<ReactQuillHTMLElement>;
    lastDeltaChangeSet?: DeltaStatic;
    regenerationSnapshot?: {
        delta: DeltaStatic;
        selection: QuillRange;
    };
    /**
     * MemoizedQuill constructor.
     *
     * @param props the props.
     */
    constructor(props: MemoizedReactQuillProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: MemoizedReactQuillProps, prevState: MemoizedReactQuillState): void;
    shouldComponentUpdate(nextProps: MemoizedReactQuillProps, nextState: MemoizedReactQuillState): boolean;
    shouldComponentRegenerate(nextProps: ReactQuillProps): boolean;
    validateProps(props: ReactQuillProps): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default MemoizedReactQuill;
