import type { LegacyRef, MutableRefObject, RefCallback } from "react";
/**
 * Small helper to execute a function in the next micro-tick.
 *
 * @param callback the callback to run
 */
export declare function postpone(callback: (value: void) => void): void;
/**
 * Check that obj1 is equal to obj2.
 *
 * @param obj1 the first object to compare.
 * @param obj2 the second object to compare.
 * @returns true if the objects are equal
 */
export declare function isEqual(obj1: any, obj2: any): boolean;
/**
 * Check if a value is a Quill Delta value.
 *
 * @param value the value to check.
 * @returns true if the value is a Quill Delta, false otherwise.
 */
export declare function isQuillDelta(value: any): any;
/**
 * Check if a Quill value is equal to another.
 *
 * @param value the actual value.
 * @param nextValue the next value.
 * @returns true if the value are equals, false otherwise.
 */
export declare function isEqualValue(value: any, nextValue: any): boolean;
/**
 * Merge 2 or more refs.
 *
 * @param refs the list of refs to merge.
 * @returns a callback function that merge the list of refs.
 */
export declare function mergeRefs<T = any>(refs: Array<MutableRefObject<T> | LegacyRef<T>>): RefCallback<T>;
