/// <reference types="react" />
export declare const RichTextEditorToolbarControls: {
    readonly clean: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "clean";
    };
    readonly background: {
        readonly icon: undefined;
        readonly controls: "background";
    };
    readonly bold: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "bold";
    };
    readonly color: {
        readonly icon: undefined;
        readonly controls: "color";
    };
    readonly code: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "code";
    };
    readonly italic: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "italic";
    };
    readonly link: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "link";
    };
    readonly strike: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "strike";
    };
    readonly sup: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "script";
        readonly value: "super";
    };
    readonly sub: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "script";
        readonly value: "sub";
    };
    readonly underline: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "underline";
    };
    readonly blockquote: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "blockquote";
    };
    readonly h1: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "header";
        readonly value: "1";
    };
    readonly h2: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "header";
        readonly value: "2";
    };
    readonly h3: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "header";
        readonly value: "3";
    };
    readonly h4: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "header";
        readonly value: "4";
    };
    readonly h5: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "header";
        readonly value: "5";
    };
    readonly h6: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "header";
        readonly value: "6";
    };
    readonly indentIncrease: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "indent";
        readonly value: "+1";
    };
    readonly indentDecrease: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "indent";
        readonly value: "-1";
    };
    readonly unorderedList: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "list";
        readonly value: "bullet";
    };
    readonly orderedList: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "list";
        readonly value: "ordered";
    };
    readonly alignLeft: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "align";
        readonly value: "";
    };
    readonly alignCenter: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "align";
        readonly value: "center";
    };
    readonly alignRight: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "align";
        readonly value: "right";
    };
    readonly alignJustify: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "align";
        readonly value: "justify";
    };
    readonly direction: {
        readonly icon: undefined;
        readonly controls: "direction";
        readonly value: "rtl";
    };
    readonly codeBlock: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "code-block";
    };
    readonly formula: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "formula";
    };
    readonly image: {
        readonly icon: import("react").MemoExoticComponent<import("../../..").BaseIconComponent>;
        readonly controls: "image";
    };
    readonly video: {
        readonly icon: import("react").ForwardRefExoticComponent<Omit<import("../../..").BaseIconProps, "children"> & import("react").RefAttributes<HTMLSpanElement>>;
        readonly controls: "video";
    };
};
export type RichTextEditorToolbarControlsProps = keyof typeof RichTextEditorToolbarControls;
export declare const DEFAULT_CONTROLS: RichTextEditorToolbarControlsProps[][];
export type RichTextEditorToolbarLabelsProps = Record<RichTextEditorToolbarControlsProps | "save" | "edit" | "remove", string>;
export declare const DEFAULT_LABELS: RichTextEditorToolbarLabelsProps;
export declare const DEFAULT_COLOR_PALLETTE: string[];
