import type { RichTextEditorToolbarControlsProps, RichTextEditorToolbarLabelsProps } from "./Toolbar.controls";
export interface RichTextEditorToolbarProps {
    /**
     * The Id of the toolbar container.
     */
    id?: string;
    /**
     * Toolbar controls divided into groups.
     */
    controls?: RichTextEditorToolbarControlsProps[][];
    /**
     * Labels used for all toolbar controls.
     */
    labels?: RichTextEditorToolbarLabelsProps;
    /**
     * Hexadecimal list of colors to be used as the color picker pallette.
     */
    colorPallette?: string[];
    /**
     * Make toolbar sticky.
     * @default true
     */
    sticky?: boolean;
    /**
     * Top toolbar position in any valid css value.
     * @default 0
     */
    stickyOffset?: number | string;
    /**
     * If `true` the toolbar buttons will be disabled.
     * @default false
     */
    readOnly?: boolean;
}
