/**
 * Blots are the basic building blocks of a Parchment document on Quill.js
 *
 * At the very minimum a Blot must be named with a static `blotName` and
 * associated with either a `tagName` or `className`.
 * If a Blot is defined with both a tag and class, the class takes precedence,
 * but the tag may be used as a fallback. Blots must also have a scope,
 * which determine if it is inline or block.
 *
 * @param InlineBlot Parchment.Inline
 */
export declare function createImageBlot(InlineBlot: any): {
    new (): {
        [x: string]: any;
        deleteAt(index: number, length: number): void;
    };
    [x: string]: any;
    blotName: string;
    className: string;
    tagName: string;
    create(src: string): any;
    value(domNode: HTMLElement): {
        src: string | undefined;
        custom: string | undefined;
    };
};
