import type { ReactNode } from "react";
import type { BackdropProps } from "../Backdrop";
import type { PortalProps } from "../Portal";
export interface ScreenLoaderProps extends Omit<PortalProps, "children">, Omit<BackdropProps, "open" | "invisible" | "closable"> {
    /**
     * The loader component to use. By default will use `<StarProgress />`
     * @default undefined
     */
    loader?: ReactNode;
    /**
     * The size of the default loader.
     * @default undefined
     */
    sizeLoader?: number;
    /**
     * The title of the screen loader.
     * @default undefined
     */
    title?: string;
    /**
     * Show/hide the backdrop layer.
     * @default false
     */
    backdropInvisible?: boolean;
}
