import type { FC, ReactNode, SyntheticEvent } from "react";
import type { MenuEvent } from "../../Menu";
import type { SelectOptionProps, SelectProps } from "../Select.types";
interface SelectDropdownProps extends Pick<SelectProps, "compact" | "multiple" | "disabled">, Pick<SelectProps, "dropdownProps"> {
    children?: ReactNode;
    menuWidth: string | number;
    menuOpen: boolean;
    menuItems: ReactNode[];
    menuSelectedIds: string[];
    selectOptions: SelectOptionProps[];
    hasOptions: boolean;
    setMenuOpen: (open: boolean) => void;
    handleSelectOption: (menuEvent: MenuEvent, event: SyntheticEvent) => void;
    handleDeSelectOption: (menuEvent: MenuEvent, event: SyntheticEvent) => void;
}
declare const SelectDropdown: FC<SelectDropdownProps>;
export default SelectDropdown;
