import type { SyntheticEvent } from "react";
import type { MenuEvent } from "../../Menu";
import type { SelectOptionProps, SelectProps } from "../Select.types";
interface SelectInputProps extends Omit<SelectProps, "children" | "selectRef" | "options" | "value" | "defaultValue" | "filterOption" | "noOptionsText" | "onSelect" | "onDeselect" | "onClear" | "onChange" | "itemGroupRenderer" | "itemRenderer" | "dropdownProps"> {
    menuOpen: boolean;
    menuSelectedIds: string[];
    selectOptions: SelectOptionProps[];
    totalOptions: number;
    hasOptions: boolean;
    hasValue: boolean;
    inputWidth: string | number;
    handleDeSelectOption: (menuEvent: MenuEvent, event: SyntheticEvent) => void;
    handleChangeInputValue: (event: React.ChangeEvent<HTMLInputElement>) => void;
    handleClearInput: (event: SyntheticEvent) => void;
}
declare const SelectInput: import("react").ForwardRefExoticComponent<SelectInputProps & import("react").RefAttributes<HTMLDivElement>>;
export default SelectInput;
