"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var t=require("styled-components"),a=require("styled-system"),e=require("../../utils-styles/colors.js"),o=require("../../utils-styles/pallette.js");function l(r){return r&&typeof r=="object"&&"default"in r?r:{default:r}}var i=l(t);const d=i.default.div`
  position: relative;
  width: 100%;
  height: 100%;
  ${a.compose(a.space,a.layout,a.flexbox,a.background,a.border,a.position,a.shadow)};
  ${({css:r})=>r};
`,s=i.default.div`
  position: absolute;
  width: 100%;
  height: 4px;
  border-radius: 4px;
  transition: background-color 0.3s;
  background-color: ${r=>o.pallette(r).background?.lighten||e.grey10};
  &.is-vertical {
    width: 4px;
    height: 100%;
    margin-left: 4px;
  }
  &.is-hovering {
    background-color: ${r=>o.pallette(r).disabled?.border||e.disabledBorder};
  }
  &[aria-disabled="true"] {
    background-color: ${r=>o.pallette(r).disabled?.fill||e.disabledFill};
  }
`,p=i.default.div`
  position: absolute;
  height: 4px;
  border-radius: 4px;
  transition: background-color 0.3s;
  background-color: ${r=>o.pallette(r).primary?.main||e.primary};
  ${a.compose(a.space,a.position,a.width,a.height)};
  &.is-hovering {
    background-color: ${r=>o.pallette(r).primary?.hover||e.primaryHover};
  }
  &.is-vertical {
    width: 4px;
    margin-left: 4px;
  }
  &[aria-disabled="true"] {
    background-color: ${r=>o.pallette(r).disabled?.border||e.disabledBorder};
  }
`,n=i.default.div`
  position: absolute;
  width: 12px;
  height: 12px;
  margin-top: -4px;
  background-color: ${r=>o.pallette(r).background?.nav||e.white};
  border-width: 2px;
  border-style: solid;
  border-color: ${r=>o.pallette(r).primary?.main||e.primary};
  border-radius: 50%;
  box-shadow: none;
  cursor: pointer;
  transition: border-color 0.3s, box-shadow 0.3s;
  z-index: 1;
  ${a.space};
  &:hover,
  &.is-hovering {
    border-color: ${r=>o.pallette(r).primary?.hover||e.primaryHover};
    box-shadow: 0 0 0 6px
      ${r=>o.pallette(r).primary?.hoverAlt||e.primaryHoverAlt};
  }
  &:focus-visible {
    outline: 1px dashed
      ${r=>o.pallette(r).primary?.main||e.primary};
    outline-offset: 4px;
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    background-color: ${r=>o.pallette(r).disabled?.fill||e.disabledFill};
    border-color: ${r=>o.pallette(r).disabled?.border||e.disabledBorder};
    box-shadow: none !important;
  }
`,b=i.default.div`
  position: absolute;
  width: 100%;
  height: 4px;
  background: 0 0;
  cursor: pointer;
  &.is-vertical {
    width: 4px;
    height: 100%;
    margin-left: 6px;
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
  }
`,c=i.default.span`
  position: absolute;
  top: -2px;
  width: 8px;
  height: 8px;
  margin-left: -4px;
  background-color: ${r=>o.pallette(r).background?.nav||e.white};
  border-width: 1px;
  border-style: solid;
  border-color: ${r=>o.pallette(r).disabled?.border||e.disabledBorder};
  border-radius: 50%;
  transition: border-color 0.3s, box-shadow 0.3s;
  cursor: pointer;
  ${a.space};
  &.is-active {
    border-color: ${r=>o.pallette(r).primary?.main||e.primary};
    &.is-hovering {
      border-color: ${r=>o.pallette(r).primary?.hover||e.primaryHover};
    }
  }
  &:hover {
    box-shadow: 0 0 0 6px
      ${r=>o.pallette(r).primary?.hoverAlt||e.primaryHoverAlt};
  }
  &.is-vertical {
    top: 0;
  }
  &:focus-visible {
    outline: 1px dashed
      ${r=>o.pallette(r).primary?.main||e.primary};
    outline-offset: 4px;
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    background-color: ${r=>o.pallette(r).disabled?.fill||e.disabledFill};
    border-color: ${r=>o.pallette(r).disabled?.border||e.disabledBorder};
  }
`,u=i.default.div`
  position: absolute;
  top: 14px;
  left: 0;
  width: 100%;
  font-size: 0.625rem;
  font-weight: 500;
  &.is-vertical {
    width: inherit;
    height: 100%;
    top: 0;
    left: 14px;
    margin-left: 6px;
  }
`,h=i.default.span`
  position: absolute;
  display: inline-block;
  color: ${r=>o.pallette(r).text?.tertiary||e.grey50};
  text-align: center;
  word-break: keep-all;
  cursor: pointer;
  user-select: none;
  ${a.space};
  &[aria-disabled="true"] {
    cursor: not-allowed;
    color: ${r=>o.pallette(r).disabled?.text||e.disabledText};
  }
`;exports.Container=d,exports.Handle=n,exports.Mark=h,exports.MarksContainer=u,exports.Rail=s,exports.RailMark=c,exports.RailMarksContainer=b,exports.Track=p;
