type HandleValue = {
    value: number;
    isHovering: boolean;
    isDragging: boolean;
};
type WindowAxisProps = {
    clientX: number;
    clientY: number;
};
type AxisProps = {
    x: number;
    y: number;
};
type TranslateValuesProps = {
    x: number;
    y: number;
    z: number;
};
/**
 * Convert a value into an array if the value is just a regular number.
 * If no value provided will use the default value instead.
 */
export declare function createHandleValues(value: number | number[] | undefined, defaultValue: number): HandleValue[];
/**
 * Get the event axis.
 */
export declare function getEventAxis(event: MouseEvent | TouchEvent): WindowAxisProps;
/**
 * Get the real position respects a parent html node.
 */
export declare function getAxisPosition(node: HTMLElement, event: MouseEvent | TouchEvent): {
    x: number;
    y: number;
};
/**
 * Get the from a specific axis position.
 */
export declare function getValueFromPosition(axis: AxisProps, node: HTMLElement, min: number, max: number, vertical?: boolean): number;
/**
 * Get the pixel position from a specific value, the value must be equal or less than the max value.
 */
export declare function getPositionFromValue(node: HTMLElement, value: number, max: number, vertical?: boolean): number;
/**
 * Gets computed translate values.
 */
export declare function getTranslateValues(element: HTMLElement): TranslateValuesProps;
export {};
