import type { StarProgressProps as EdsStarProgressProps } from "@equinor/eds-core-react";
import type { CSSObject } from "styled-components";
import type { FlexboxProps, PositionProps, SpaceProps } from "styled-system";
export interface StarProgressProps extends Omit<EdsStarProgressProps, "variant" | "value" | "size">, SpaceProps, Omit<FlexboxProps, "order">, PositionProps {
    /**
     * The className of the component.
     */
    className?: string;
    /**
     * The css object ot override the styles.
     */
    css?: CSSObject;
    /**
     * The variant to use. Use indeterminate when there is no progress value.
     * @default "indeterminate"
     */
    variant?: "determinate" | "indeterminate";
    /**
     * The value of the progress indicator for the determinate variant. Value between 0 and 100.
     * @default 0
     */
    value?: number;
    /**
     * The size of the star progress.
     * @default 48
     */
    size?: number;
}
