"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var r=require("styled-components"),o=require("styled-system"),a=require("../../utils-styles/colors.js"),e=require("../../utils-styles/pallette.js");function n(t){return t&&typeof t=="object"&&"default"in t?t:{default:t}}var i=n(r);const p=i.default.div`
  display: flex;
  width: 100%;
  height: 100%;
  ${o.flexbox};
`,s=i.default.div`
  display: flex;
  overflow: hidden;
  min-height: 48px;
  &.opt-tabs--vertical {
    flex-direction: column;
    align-items: center;
  }
  ${o.compose(o.space,o.typography,o.border,o.position,o.shadow)};
  ${({css:t})=>t};
`,l=i.default.div`
  flex: 1;
  &.opt-tabs__panel--hidden {
    visibility: hidden;
  }
`,d=i.default.div`
  flex: 1 1 auto;
  display: inline-block;
  position: relative;
  white-space: nowrap;
  overflow-x: hidden;
`,c=i.default.div`
  display: flex;
  ${o.flexbox};
  &.opt-tabs__list--horizontal {
    flex-direction: row;
    .opt-tab {
      box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).disabled?.border||a.grey20} inset;
      &.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).primary?.main||a.primary} inset;
      }
    }
  }
  &.opt-tabs__list--vertical {
    flex-direction: column;
    .opt-tab {
      width: 160px;
      box-shadow: -2px 0 0px 0
        ${t=>e.pallette(t).disabled?.border||a.grey20} inset;
      &.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>e.pallette(t).primary?.main||a.primary} inset;
      }
    }
  }
  &.opt-tabs__list--fullwidth {
    .opt-tab {
      flex-grow: 1;
      max-width: none;
      flex-shrink: 0;
    }
  }

  &.opt-tabs__indicator--primary {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).primary?.main||a.primary} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>e.pallette(t).primary?.main||a.primary} inset;
      }
    }
  }

  &.opt-tabs__indicator--secondary {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).secondary?.main||a.secondary} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>e.pallette(t).secondary?.main||a.secondary}
          inset;
      }
    }
  }

  &.opt-tabs__indicator--success {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).success?.main||a.success} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>e.pallette(t).success?.main||a.success} inset;
      }
    }
  }

  &.opt-tabs__indicator--warning {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).warning?.main||a.warning} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>e.pallette(t).warning?.main||a.warning} inset;
      }
    }
  }

  &.opt-tabs__indicator--danger {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>e.pallette(t).danger?.main||a.danger} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>e.pallette(t).danger?.main||a.danger} inset;
      }
    }
  }
`,b=i.default.button`
  font-family: "Equinor";
  position: relative;
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: max-content;
  height: 100%;
  min-height: 48px;
  padding: 6px 16px;
  overflow: hidden;
  text-align: center;
  font-size: 1rem;
  appearance: none;
  background: transparent;
  border: 0;
  outline: none;
  cursor: pointer;
  color: ${t=>e.pallette(t).text?.tertiary||a.grey50};
  ${o.compose(o.space,o.color,o.width,o.height)};
  &.opt-tab--active {
    &.opt-tab--primary {
      color: ${t=>e.pallette(t).primary?.main||a.primary};
    }
    &.opt-tab--secondary {
      color: ${t=>e.pallette(t).secondary?.main||a.secondary};
    }
    &.opt-tab--success {
      color: ${t=>e.pallette(t).success?.main||a.success};
    }
    &.opt-tab--warning {
      color: ${t=>e.pallette(t).warning?.main||a.warning};
    }
    &.opt-tab--danger {
      color: ${t=>e.pallette(t).danger?.main||a.danger};
    }
  }
  ${o.compose(o.space,o.width,o.height)};
  &:hover {
    background-color: ${t=>e.pallette(t).primary?.hoverAlt||a.primaryHoverAlt};
  }
  &:focus-visible {
    outline: 1px dashed
      ${t=>e.pallette(t).primary?.main||a.primary};
    outline-offset: -4px;
  }
  &:disabled {
    cursor: not-allowed;
    color: ${t=>e.pallette(t).disabled?.text||a.disabledText} !important;
    background-color: transparent;
    box-shadow: none !important;
  }
  ${({css:t})=>t};
`;exports.BasePanel=l,exports.BaseTab=b,exports.BaseTabs=s,exports.Container=p,exports.TabsContainer=d,exports.TabsList=c;
