import type { ReactNode } from "react";
type PrimaryPalletteProps = {
    main?: string;
    hover?: string;
    hoverAlt?: string;
    highlight?: string;
    highlightHover?: string;
};
type SecondaryPalletteProps = {
    main?: string;
    hover?: string;
    highlight?: string;
};
type DangerPalletteProps = {
    main?: string;
    hover?: string;
    text?: string;
    highlight?: string;
};
type WarningPalletteProps = {
    main?: string;
    hover?: string;
    text?: string;
    highlight?: string;
};
type SuccessPalletteProps = {
    main?: string;
    hover?: string;
    text?: string;
    highlight?: string;
};
type DisabledPalletteProps = {
    fill?: string;
    border?: string;
    text?: string;
};
type TextPalletteProps = {
    main?: string;
    secondary?: string;
    tertiary?: string;
    inverted?: string;
    invertedAlt?: string;
};
type BackgroundPalletteProps = {
    main?: string;
    nav?: string;
    paper?: string;
    popover?: string;
    overlay?: string;
    lighten?: string;
};
type TablePalletteProps = {
    header?: string;
    headerActive?: string;
    headerHover?: string;
    cell?: string;
    cellActive?: string;
    cellHover?: string;
};
export type ThemePalletteProps = {
    primary?: PrimaryPalletteProps;
    secondary?: SecondaryPalletteProps;
    danger?: DangerPalletteProps;
    warning?: WarningPalletteProps;
    success?: SuccessPalletteProps;
    disabled?: DisabledPalletteProps;
    text?: TextPalletteProps;
    background?: BackgroundPalletteProps;
    table?: TablePalletteProps;
};
export type ThemeMode = "light" | "dark";
export type ThemeProps = {
    mode?: ThemeMode;
    pallette?: ThemePalletteProps;
};
export type ThemeProviderProps = {
    children?: ReactNode;
    theme?: ThemeProps;
};
export {};
