import type { ReactNode } from "react";
import type { SuggestionKeyDownProps, SuggestionProps } from "../../extensions";
interface Props extends SuggestionProps {
    query: string;
    editor: any;
    clientRect?: (() => DOMRect | null) | null;
    event?: KeyboardEvent;
}
export default function createSuggestion<UserSuggestion>(mentionApi: (query: string) => Promise<UserSuggestion[]>, displayKey: string, userSuggestionRenderer?: (item: UserSuggestion) => ReactNode, loadingRenderer?: string | (() => ReactNode), noResultsRenderer?: string | (() => ReactNode)): {
    items: ({ query }: {
        query: string;
    }) => Promise<UserSuggestion[]>;
    render: () => {
        onStart: (props: Props) => void;
        onUpdate(props: Props): void;
        onKeyDown(props: SuggestionKeyDownProps): any;
        onExit(): void;
    };
};
export {};
