/**
 * Converts a hex color string to an RGB color string.
 * @param hex - the hex color string
 */
export declare function hexToRgb(hex: string): string | null;
/**
 * Checks if a color string is a valid hex color.
 * @param color - the color string to check
 */
export declare function isHex(color: string): boolean;
/**
 * Checks if a color is allowed based on a list of allowed colors.
 * @param color - the color string to check
 * @param colors - an array of allowed color strings
 */
export declare function isColorAllowed(color: string, colors: string[]): boolean;
