/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import o from"styled-components";import{compose as h,space as m,typography as n,layout as l,flexbox as g,position as b,color as f,border as x}from"styled-system";import{grey50 as i,disabledText as r,success as a,successHover as d,warning as p,warningHover as s,danger as c,dangerHover as u,black28 as $,grey10 as y,secondaryDark as w,grey80 as v,textTertiaryDark as k,primary as _,disabledFill as W}from"../../utils-styles/colors.js";import{pallette as e}from"../../utils-styles/pallette.js";const z=o.div`
  font-family: "Equinor";
  position: relative;
  display: flex;
  flex-direction: column;
  width: ${({fullWidth:t})=>t?"100%":"25ch"};
  height: fit-content;
  * {
    box-sizing: inherit;
  }
  ${h(m,n,l,g,b)};
  ${({multiple:t})=>t&&"height: fit-content;"};
  textarea {
    ${l};
  }
  .opt-input__label,
  .opt-input__description {
    ${n}
  }
  ${({css:t})=>t};
`,I=o.label`
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 0.75rem;
  font-weight: 500;
  line-height: 1.333em;
  color: ${t=>e(t).text?.tertiary||i};
  &[aria-disabled="true"] {
    color: ${t=>e(t).disabled?.text||r} !important;
  }
  margin: 0px;
  > p {
    margin: 0;
    &:last-child {
      text-align: right;
    }
    &:first-child {
      text-align: left;
    }
  }
`,D=o.div`
  position: relative;
  display: flex;
  width: 100%;
  font-size: 0.75rem;
  font-weight: 500;
  line-height: 1.333em;
  padding-top: 8px;
  padding-left: 8px;
  > span {
    flex: 1;
  }
  color: ${t=>e(t).text?.tertiary||i};
  &.opt-input__description--success {
    color: ${t=>e(t).success?.main||a};
    &.has-focus {
      color: ${t=>e(t).success?.hover||d};
    }
  }
  &.opt-input__description--warning {
    color: ${t=>e(t).warning?.main||p};
    &.has-focus {
      color: ${t=>e(t).warning?.hover||s};
    }
  }
  &.opt-input__description--error {
    color: ${t=>e(t).danger?.main||c};
    &.has-focus {
      color: ${t=>e(t).danger?.hover||u};
    }
  }
  &[aria-disabled="true"] {
    color: ${t=>e(t).disabled?.text||r} !important;
  }
`,H=o.div`
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  border-bottom: 1px solid
    ${t=>t.theme?.mode==="dark"?"#121212":i};
  background: ${t=>t.theme?.mode==="dark"?$:y};
  color: ${t=>t.theme?.mode==="dark"?w:v};
  & input::placeholder {
    color: ${t=>t.theme?.mode==="dark"?k:i};
  }
  ${f};
  ${x};
  > .opt-input__base {
    ${n};
  }
  &.opt-input {
    &.opt-input--success {
      &:not([disabled]) {
        border-bottom: 0;
      }
      outline-style: solid;
      outline-width: ${({outlineWidth:t})=>t||"2px"};
      outline-color: ${t=>e(t).success?.main||a};
    }
    &.opt-input--warning {
      &:not([disabled]) {
        border-bottom: 0;
      }
      outline-style: solid;
      outline-width: ${({outlineWidth:t})=>t||"2px"};
      outline-color: ${t=>e(t).warning?.main||p};
    }
    &.opt-input--error {
      &:not([disabled]) {
        border-bottom: 0;
      }
      outline-style: solid;
      outline-width: ${({outlineWidth:t})=>t||"2px"};
      outline-color: ${t=>e(t).danger?.main||c};
    }
    &.opt-input--naked {
      background: transparent !important;
      border-bottom-color: transparent;
      outline: none;
    }
  }
  &:active,
  &:focus,
  &.has-focus {
    outline-style: solid;
    outline-width: ${({outlineWidth:t})=>t||"2px"};
    outline-color: ${t=>e(t).primary?.main||_};
    &:not([disabled]) {
      border-bottom-color: transparent;
    }
    &.opt-input--success {
      outline-color: ${t=>e(t).success?.hover||d};
    }
    &.opt-input--warning {
      outline-color: ${t=>e(t).warning?.hover||s};
    }
    &.opt-input--error {
      outline-color: ${t=>e(t).danger?.hover||u};
    }
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    outline: none !important;
    color: ${t=>e(t).disabled?.text||r} !important;
    border-bottom-color: transparent !important;
    background-color: ${t=>e(t).disabled?.fill||W} !important;
  }
`,T=o.input`
  width: 100%;
  height: 100%;
  min-height: 36px;
  appearance: none;
  background: transparent;
  border: 0;
  outline: none;
  flex: 1;
  font-family: inherit;
  padding-left: 8px;
  padding-right: 8px;
  font-size: 1rem;
  color: inherit;
  input {
    color: inherit;
  }
  &[aria-disabled="true"] {
    pointer-events: none;
  }
  &.opt-input__base--compact {
    min-height: 24px;
  }
  &.has-children {
    display: flex;
    align-items: center;
    > * {
      appearance: none;
      border: 0;
      background: transparent;
      display: inline-block;
      outline: none;
      width: 100%;
      text-align: left;
      flex: 1;
    }
  }
`;export{T as BaseInput,z as Container,D as InputDescription,I as InputLabel,H as InputWrapper};
