/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import i from"styled-components";import{compose as s,space as e,layout as c,flexbox as h,background as u,border as x,position as n,shadow as g,width as m,height as v}from"styled-system";import{grey10 as $,disabledBorder as a,disabledFill as d,primary as t,primaryHover as l,white as b,primaryHoverAlt as p,grey50 as w,disabledText as k}from"../../utils-styles/colors.js";import{pallette as o}from"../../utils-styles/pallette.js";const f=i.div`
  position: relative;
  width: 100%;
  height: 100%;
  ${s(e,c,h,u,x,n,g)};
  ${({css:r})=>r};
`,y=i.div`
  position: absolute;
  width: 100%;
  height: 4px;
  border-radius: 4px;
  transition: background-color 0.3s;
  background-color: ${r=>o(r).background?.lighten||$};
  &.is-vertical {
    width: 4px;
    height: 100%;
    margin-left: 4px;
  }
  &.is-hovering {
    background-color: ${r=>o(r).disabled?.border||a};
  }
  &[aria-disabled="true"] {
    background-color: ${r=>o(r).disabled?.fill||d};
  }
`,M=i.div`
  position: absolute;
  height: 4px;
  border-radius: 4px;
  transition: background-color 0.3s;
  background-color: ${r=>o(r).primary?.main||t};
  ${s(e,n,m,v)};
  &.is-hovering {
    background-color: ${r=>o(r).primary?.hover||l};
  }
  &.is-vertical {
    width: 4px;
    margin-left: 4px;
  }
  &[aria-disabled="true"] {
    background-color: ${r=>o(r).disabled?.border||a};
  }
`,A=i.div`
  position: absolute;
  width: 12px;
  height: 12px;
  margin-top: -4px;
  background-color: ${r=>o(r).background?.nav||b};
  border-width: 2px;
  border-style: solid;
  border-color: ${r=>o(r).primary?.main||t};
  border-radius: 50%;
  box-shadow: none;
  cursor: pointer;
  transition: border-color 0.3s, box-shadow 0.3s;
  z-index: 1;
  ${e};
  &:hover,
  &.is-hovering {
    border-color: ${r=>o(r).primary?.hover||l};
    box-shadow: 0 0 0 6px
      ${r=>o(r).primary?.hoverAlt||p};
  }
  &:focus-visible {
    outline: 1px dashed
      ${r=>o(r).primary?.main||t};
    outline-offset: 4px;
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    background-color: ${r=>o(r).disabled?.fill||d};
    border-color: ${r=>o(r).disabled?.border||a};
    box-shadow: none !important;
  }
`,C=i.div`
  position: absolute;
  width: 100%;
  height: 4px;
  background: 0 0;
  cursor: pointer;
  &.is-vertical {
    width: 4px;
    height: 100%;
    margin-left: 6px;
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
  }
`,H=i.span`
  position: absolute;
  top: -2px;
  width: 8px;
  height: 8px;
  margin-left: -4px;
  background-color: ${r=>o(r).background?.nav||b};
  border-width: 1px;
  border-style: solid;
  border-color: ${r=>o(r).disabled?.border||a};
  border-radius: 50%;
  transition: border-color 0.3s, box-shadow 0.3s;
  cursor: pointer;
  ${e};
  &.is-active {
    border-color: ${r=>o(r).primary?.main||t};
    &.is-hovering {
      border-color: ${r=>o(r).primary?.hover||l};
    }
  }
  &:hover {
    box-shadow: 0 0 0 6px
      ${r=>o(r).primary?.hoverAlt||p};
  }
  &.is-vertical {
    top: 0;
  }
  &:focus-visible {
    outline: 1px dashed
      ${r=>o(r).primary?.main||t};
    outline-offset: 4px;
  }
  &[aria-disabled="true"] {
    cursor: not-allowed;
    background-color: ${r=>o(r).disabled?.fill||d};
    border-color: ${r=>o(r).disabled?.border||a};
  }
`,R=i.div`
  position: absolute;
  top: 14px;
  left: 0;
  width: 100%;
  font-size: 0.625rem;
  font-weight: 500;
  &.is-vertical {
    width: inherit;
    height: 100%;
    top: 0;
    left: 14px;
    margin-left: 6px;
  }
`,z=i.span`
  position: absolute;
  display: inline-block;
  color: ${r=>o(r).text?.tertiary||w};
  text-align: center;
  word-break: keep-all;
  cursor: pointer;
  user-select: none;
  ${e};
  &[aria-disabled="true"] {
    cursor: not-allowed;
    color: ${r=>o(r).disabled?.text||k};
  }
`;export{f as Container,A as Handle,z as Mark,R as MarksContainer,y as Rail,H as RailMark,C as RailMarksContainer,M as Track};
