/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import e from"styled-components";import{compose as o,space as a,typography as p,position as s}from"styled-system";import{black as l,disabledText as n,disabledFill as r,primary as d}from"../../utils-styles/colors.js";import{pallette as i}from"../../utils-styles/pallette.js";import c from"./SwitchDefault.js";import h from"./SwitchSmall.js";const x=e.label`
  font-family: "Equinor";
  font-size: 0.875rem;
  position: relative;
  display: inline-flex;
  flex: 0 0 auto;
  align-items: center;
  outline: 0;
  margin: 0;
  cursor: pointer;
  border: 0;
  user-select: none;
  vertical-align: middle;
  text-decoration: none;
  ${o(a,p,s)};
  color: ${t=>i(t).text?.main||l};
  &[aria-disabled="true"] {
    cursor: not-allowed !important;
    color: ${t=>i(t).disabled?.text||n};
    > .opt-switch {
      pointer-events: "none";
      &:hover {
        background-color: transparent !important;
      }
      &.opt-switch--default {
        .opt-switch__slider {
          background-color: ${t=>i(t).disabled?.fill||r} !important;
          &:after {
            background-color: ${t=>i(t).disabled?.fill||r} !important;
            box-shadow: "rgba(0, 0, 0, 0.2) 0px 1px 5px, rgba(0, 0, 0, 0.12) 0px 3px 4px, rgba(0, 0, 0, 0.14) 0px 2px 4px";
          }
        }
      }
      &.opt-switch--small {
        .opt-switch__slider {
          background-color: ${t=>i(t).disabled?.fill||r} !important;
        }
      }
    }
  }
  ${({css:t})=>t};
`,f=e.div`
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  border-radius: 100%;
  padding: 7px;
  transition: background-color 0.2s linear;
  &.opt-switch--default {
    ${c};
  }
  &.opt-switch--small {
    ${h};
  }
  &.opt-switch--compact {
    width: 32px;
    height: 32px;
    padding: 3px;
    & > input[type="checkbox"]:focus-visible + .opt-switch__slider-wrapper {
      outline-offset: 1px;
    }
  }
  & > input[type="checkbox"]:focus-visible + .opt-switch__slider-wrapper {
    outline: 1px dashed
      ${t=>i(t).primary?.main||d};
    outline-offset: 4px;
    border-radius: 50%;
  }
`,m=e.input`
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  opacity: 0;
  cursor: inherit;
  z-index: 1;
`,u=e.div`
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
`,b=e.span`
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  transition: background-color 0.36s ease 0s;
  &:after {
    content: "";
    position: absolute;
    border-radius: 50%;
    transition: transform 0.36s cubic-bezier(0.78, 0.14, 0.15, 0.86) 0s;
  }
  &.opt-switch__slider--default {
    height: 8px;
    border-radius: 4px;
    &:after {
      width: 16px;
      height: 16px;
    }
    &.is-checked:after {
      transform: translateX(18px);
    }
    &.opt-switch__slider--compact {
      height: 6px;
      &:after {
        width: 12px;
        height: 12px;
      }
      &.is-checked:after {
        transform: translateX(14px);
      }
    }
  }
  &.opt-switch__slider--small {
    width: calc(100% - 14px);
    height: 10px;
    border-radius: 10px;
    &:after {
      width: 6px;
      height: 6px;
      left: 2px;
    }
    &.is-checked:after {
      transform: translateX(10px);
    }
    &.opt-switch__slider--compact {
      width: calc(100% - 6px);
    }
  }
`;export{x as Container,m as InputSwitch,b as SwitchSlider,u as SwitchSliderWrapper,f as Wrapper};
