/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import a from"styled-components";import{flexbox as b,compose as e,space as n,typography as m,border as h,position as _,shadow as w,color as v,width as d,height as c}from"styled-system";import{grey20 as x,primary as i,secondary as r,success as s,warning as p,danger as l,grey50 as y,primaryHoverAlt as $,disabledText as f}from"../../utils-styles/colors.js";import{pallette as o}from"../../utils-styles/pallette.js";const g=a.div`
  display: flex;
  width: 100%;
  height: 100%;
  ${b};
`,u=a.div`
  display: flex;
  overflow: hidden;
  min-height: 48px;
  &.opt-tabs--vertical {
    flex-direction: column;
    align-items: center;
  }
  ${e(n,m,h,_,w)};
  ${({css:t})=>t};
`,z=a.div`
  flex: 1;
  &.opt-tabs__panel--hidden {
    visibility: hidden;
  }
`,k=a.div`
  flex: 1 1 auto;
  display: inline-block;
  position: relative;
  white-space: nowrap;
  overflow-x: hidden;
`,T=a.div`
  display: flex;
  ${b};
  &.opt-tabs__list--horizontal {
    flex-direction: row;
    .opt-tab {
      box-shadow: 0 -2px 0px 0 ${t=>o(t).disabled?.border||x} inset;
      &.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>o(t).primary?.main||i} inset;
      }
    }
  }
  &.opt-tabs__list--vertical {
    flex-direction: column;
    .opt-tab {
      width: 160px;
      box-shadow: -2px 0 0px 0
        ${t=>o(t).disabled?.border||x} inset;
      &.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>o(t).primary?.main||i} inset;
      }
    }
  }
  &.opt-tabs__list--fullwidth {
    .opt-tab {
      flex-grow: 1;
      max-width: none;
      flex-shrink: 0;
    }
  }

  &.opt-tabs__indicator--primary {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>o(t).primary?.main||i} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>o(t).primary?.main||i} inset;
      }
    }
  }

  &.opt-tabs__indicator--secondary {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>o(t).secondary?.main||r} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>o(t).secondary?.main||r}
          inset;
      }
    }
  }

  &.opt-tabs__indicator--success {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>o(t).success?.main||s} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>o(t).success?.main||s} inset;
      }
    }
  }

  &.opt-tabs__indicator--warning {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>o(t).warning?.main||p} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>o(t).warning?.main||p} inset;
      }
    }
  }

  &.opt-tabs__indicator--danger {
    &.opt-tabs__list--horizontal {
      .opt-tab.opt-tab--active {
        box-shadow: 0 -2px 0px 0 ${t=>o(t).danger?.main||l} inset;
      }
    }
    &.opt-tabs__list--vertical {
      .opt-tab.opt-tab--active {
        box-shadow: -2px 0 0px 0
          ${t=>o(t).danger?.main||l} inset;
      }
    }
  }
`,B=a.button`
  font-family: "Equinor";
  position: relative;
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: max-content;
  height: 100%;
  min-height: 48px;
  padding: 6px 16px;
  overflow: hidden;
  text-align: center;
  font-size: 1rem;
  appearance: none;
  background: transparent;
  border: 0;
  outline: none;
  cursor: pointer;
  color: ${t=>o(t).text?.tertiary||y};
  ${e(n,v,d,c)};
  &.opt-tab--active {
    &.opt-tab--primary {
      color: ${t=>o(t).primary?.main||i};
    }
    &.opt-tab--secondary {
      color: ${t=>o(t).secondary?.main||r};
    }
    &.opt-tab--success {
      color: ${t=>o(t).success?.main||s};
    }
    &.opt-tab--warning {
      color: ${t=>o(t).warning?.main||p};
    }
    &.opt-tab--danger {
      color: ${t=>o(t).danger?.main||l};
    }
  }
  ${e(n,d,c)};
  &:hover {
    background-color: ${t=>o(t).primary?.hoverAlt||$};
  }
  &:focus-visible {
    outline: 1px dashed
      ${t=>o(t).primary?.main||i};
    outline-offset: -4px;
  }
  &:disabled {
    cursor: not-allowed;
    color: ${t=>o(t).disabled?.text||f} !important;
    background-color: transparent;
    box-shadow: none !important;
  }
  ${({css:t})=>t};
`;export{z as BasePanel,B as BaseTab,u as BaseTabs,g as Container,k as TabsContainer,T as TabsList};
