export interface DeviceDetectorElement {
    /**
     * Check if the device is a mac os.
     */
    macos: () => boolean;
    /**
     * Check if the device is an ios.
     */
    ios: () => boolean;
    /**
     * Check if the device is an iphone.
     */
    iphone: () => boolean;
    /**
     * Check if the device is an ipod.
     */
    ipod: () => boolean;
    /**
     * Check if the device is an ipad.
     */
    ipad: () => boolean;
    /**
     * Check if the device is an ipad pro.
     */
    ipadPro: () => boolean;
    /**
     * Check if the device is an android device.
     */
    android: () => boolean;
    /**
     * Check if the device is a phone device and also uses the O.S android.
     */
    androidPhone: () => boolean;
    /**
     * Check if the device is a tablet and uses the O.S android.
     */
    androidTablet: () => boolean;
    /**
     * Check if the device uses the O.S blackberry.
     */
    blackberry: () => boolean;
    /**
     * Check if the device is a phone and uses the O.S blackberry.
     */
    blackberryPhone: () => boolean;
    /**
     * heck if the device is a tablet and uses the O.S blackberry.
     */
    blackberryTablet: () => boolean;
    /**
     * Check if the device uses a O.S windows.
     */
    windows: () => boolean;
    /**
     * Check if the device is a phone and uses the O.S windows.
     */
    windowsPhone: () => boolean;
    /**
     * Check if the device is a tablet and uses the O.S windows.
     */
    windowsTablet: () => boolean;
    /**
     * Check if the devices uses the O.S fx.
     */
    fxos: () => boolean;
    /**
     * Check if the device is a phone and uses the O.S fx.
     */
    fxosPhone: () => boolean;
    /**
     * Check if the device is a tablet and uses the O.S fx.
     */
    fxosTablet: () => boolean;
    /**
     * Check if the device is a meego
     */
    meego: () => boolean;
    /**
     * Check if the device uses cordova.
     */
    cordova: () => boolean;
    /**
     * Check if the device uses node webkit.
     */
    nodeWebkit: () => boolean;
    /**
     * Check if the device is a mobile.
     */
    mobile: () => boolean;
    /**
     * Check if the device is a tablet.
     */
    tablet: () => boolean;
    /**
     * Check if the device is any desktop device.
     */
    desktop: () => boolean;
    /**
     * Check if the device is a television.
     */
    television: () => boolean;
    /**
     * Check if the device is in portrait mode.
     */
    portrait: () => boolean;
    /**
     * Check if the device is in landscape mode.
     */
    landscape: () => boolean;
}
