/**
 * Parse a date into a Date object.
 *
 * If the date (as string) uses the ISO 8601 and has time, adds a Z directly after the time if not found.
 * Z is the zone designator for the zero UTC offset (Zulu timezone).
 * https://en.wikipedia.org/wiki/ISO_8601
 *
 * @param date the date to parse.
 * @returns a Date object if the date can be parsed, null otherwise.
 */
export default function parseDate(date: unknown): Date | null;
