/// <reference types="react" />
/**
 * Create a new function if the ref props change and are defined.
 *
 * @param refA the first ref
 * @param refB the second ref.
 * @returns a handler that will fork the first ref into the second ref.
 */
export default function useForkRef<T>(refA: React.Ref<T> | null | undefined, refB: React.Ref<T> | null | undefined): React.Ref<T> | null;
