/**
 * Use setInterval in functional React component with the same API.
 * Set your callback function as a first parameter and a delay (in milliseconds) for the second argument.
 * You can also stop the timer passing null instead the delay or even, execute it right away passing 0.
 *
 * @param callback the callback function.
 * @param delay the delay in milliseconds or null to stop it.
 *
 * @example element based event
 * function Component() {
 *    ...
 *    useInterval(() => {
 *      ...
 *    }, 500);
 *    ...
 * }
 */
export default function useInterval(callback: () => void, delay: number | null): void;
