/**
 * This hook makes it easy to detect when the user is pressing a specific key on their keyboard.
 *
 * ! It doesn't handle multiple keys being pressed at the same time.
 *
 * @param targetKey the key to detect.
 * @returns true if the key is pressed, false otherwise.
 *
 * @example
 * function App() {
 *   const happyPress = useKeyPress("h");
 *   return <div>{happyPress ? "😊" : "Press h key"}</div>;
 * }
 */
export default function useKeyPress(targetKey: KeyboardEvent["key"]): boolean;
