/**
 * Easily retrieve window.screen object with this Hook which also works onRezise.
 *
 * @example
 * function Component() {
 *    const screen = useScreen()
 *    ...
 *    return (
 *      <div>
 *        <p>The current window dimensions are:</p>
 *        <code>
 *          {JSON.stringify({ width: screen?.width, height: screen?.height })}
 *        </code>
 *      </div>
 *    )
 * }
 */
export default function useScreen(): Screen | undefined;
