interface UseSSRReturn {
    isBrowser: boolean;
    isServer: boolean;
    isNative: boolean;
    canUseWorkers: boolean;
    canUseEventListeners: boolean;
    canUseViewport: boolean;
}
/**
 * Checks if the code is running on the browser, the server or as react native application.
 * Also checks if is possible to use workers, event listeners and the viewport.
 *
 * @example
 * function Component() {
 *    const {
 *      isBrowser,
 *      isServer,
 *      isNative,
 *      canUseWorkers,
 *      canUseEventListeners,
 *      canUseViewport
 *    } = useSSR();
 *    ...
 * }
 */
export default function useSSR(): UseSSRReturn;
export {};
