"use strict";/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */Object.defineProperty(exports,"__esModule",{value:!0});var M=require("react/jsx-runtime"),ke=require("clsx"),qe=require("prop-types"),o=require("react"),De=require("../Paper/Paper.js");require("../Table/components/DraggableCell.js"),require("../Table/components/DraggableElement.js"),require("../Table/components/ExpandCell.js"),require("../Table/components/SelectionCell.js");var He=require("../Table/components/SortIndicator.js"),C=require("../Table/utils/helpers.js");require("../BaseIcon/BaseIcon.js"),require("date-fns"),require("date-fns/locale/en-US"),require("date-fns/locale/nb");var _e=require("../utils/useElementSize/useElementSize.js");require("styled-components"),require("color");var xe=require("./Gantt.styles.js"),Ee=require("./renderers/emptyRenderer.js"),We=require("./renderers/overlayRenderer.js"),je=require("./renderers/rowRenderer.js"),$=require("./utils/dates.js"),y=require("./utils/helpers.js");function O(l){return l&&typeof l=="object"&&"default"in l?l:{default:l}}var F=O(ke),e=O(qe),Ie=O(o);const P=Ie.default.forwardRef(function(l,Q){const{className:U,start:u,end:s,data:i,columns:S,columnsTotalWidthPercentage:X,multiSort:Y,links:ze,headerHeight:Z,rowHeight:k,footerHeight:A,headerClassName:J,rowClassName:ee,headerProps:te,headerCellProps:ae,rowProps:re,cellProps:oe,ganttTaskProps:ne,headerRenderer:le,footerRenderer:de,overlayRenderer:ue,noDataValue:se,expandable:fe,defaultExpandedRowKeys:ie,expandedRowKeys:ce,showTimenowLine:q,ganttColumnsWidth:w,ganttTaskHeight:pe,ganttHeaderRenderer:D,ganttRowRenderer:ge,groupDatesBy:f,groupBy:H,initialScrollToDate:_,initialScrollToTask:x,selectRowOnClick:E,onColumnResize:he,onColumnResizeEnd:me,onRowClick:W,onScroll:j,onScrollbarPresenceChange:ye}=l,n=o.useRef(),[R,{width:c,height:we}]=_e.default(),I=typeof W=="function",[p,z]=o.useState({}),[B,N]=o.useState([]),[Re,Te]=o.useState([]),[K,T]=o.useState([]),d=o.useMemo(()=>y.makeColumns(c,S,X,u,s,f,w,D),[c,S,u,s,f,w,D]),L=d.filter(t=>!t.key.startsWith("__gantt")),g=y.getGanttWidth(c,L),h=y.getGanttWidthWithoutScroll(d,L,w);o.useEffect(()=>{const t=y.makeData(i,u,s,H,f);Te([...t]),T([...C.sortData(t,d,p)])},[i,u,s,H,f]),o.useEffect(()=>{n.current&&(G(x),v(_))},[n.current,_,x]),o.useImperativeHandle(Q,()=>({scrollToDate:t=>{setTimeout(()=>v(t))},scrollToTask:t=>{setTimeout(()=>G(t))},clearSortState:()=>{z({})},setSelectedRows:t=>{N(t)},getTableRef:()=>n.current}));const ve={onClick:({rowData:t,rowIndex:a,rowKey:r,event:Se})=>{if(I&&(W({rowData:t,rowIndex:a,rowKey:r,event:Se}),E)){const{id:b}=t,m=[];B.includes(b)?m.splice(m.indexOf(b),1):m.push(b),N(m)}}},be=o.useCallback(({key:t,order:a})=>{const r={...Y?p:{},[t]:a};p[t]==="desc"&&delete r[t],Object.keys(r).length>0?T([...C.sortData(K,d,r)]):T([...Re]),z(r)}),Ce=({rowData:{id:t}})=>B.findIndex(a=>a===t)!==-1,Oe=o.useCallback(t=>F.default(C.getPropValue(ee,t,""),I&&"BaseTable__row--clickable",E&&Ce(t)&&"BaseTable__row--selected")),v=t=>{if(!t||!n.current)return;let a=0;n.current.getColumnManager().getColumns().findIndex(r=>$.isSameDate(r.date,t)?!0:(r.frozen||(a+=r.width),!1))!==-1&&n.current.scrollToLeft(a),V(a)},G=t=>{if(!t||!n.current)return;const a=i.findIndex(r=>r.id===t);a!==-1&&(n.current.scrollToRow(a,"start"),v($.parseDate(i[a].startDate)))},V=t=>{q&&setTimeout(()=>{const a=document.getElementById("opt-gantt__timenowLine-container");a&&(a.scrollLeft=t)})},Pe=t=>je.default({...t,rowWidth:h<g?g:h,rowHeight:k,ganttTaskHeight:pe,ganttTaskProps:ne,ganttRowRenderer:ge});return M.jsx(De.default,{ref:R,className:F.default(U,"opt-gantt"),elevation:0,height:"100%",children:M.jsx(xe.GanttTable,{ref:n,fixed:!0,width:c,height:R.current?R.current.offsetHeight:we,columns:d,data:K,headerHeight:Z,rowHeight:k,footerHeight:A,headerClassName:J,rowClassName:Oe,headerProps:te,headerCellProps:ae,rowProps:re,cellProps:oe,headerRenderer:le,rowRenderer:Pe,rowEventHandlers:ve,components:{SortIndicator:He.default},sortState:p,onColumnSort:be,expandColumnKey:fe?"__expandable__":null,defaultExpandedRowKeys:ie,expandedRowKeys:ce,emptyRenderer:Ee.default(se),footerRenderer:de,overlayRenderer:We.default({showTimenowLine:q,start:u,end:s,rowWidth:h<g?g:h,columns:d,groupDatesBy:f,overlayRendererProps:ue}),onColumnResize:he,onColumnResizeEnd:me,onScroll:t=>{V(t.scrollLeft),j&&j(t)},onScrollbarPresenceChange:ye,overscanRowCount:2})})});P.propTypes={start:e.default.oneOfType([e.default.string,e.default.instanceOf(Date)]).isRequired,end:e.default.oneOfType([e.default.string,e.default.instanceOf(Date)]).isRequired,data:e.default.arrayOf(e.default.shape({id:e.default.oneOfType([e.default.number,e.default.string]),parent:e.default.oneOfType([e.default.number,e.default.string]),startDate:e.default.oneOfType([e.default.string,e.default.instanceOf(Date)]).isRequired,endDate:e.default.oneOfType([e.default.string,e.default.instanceOf(Date)]).isRequired,progress:e.default.number,open:e.default.bool})).isRequired,columns:e.default.arrayOf(e.default.object),columnsTotalWidthPercentage:e.default.number,multiSort:e.default.bool,links:e.default.arrayOf(e.default.shape({sourceId:e.default.oneOfType([e.default.number,e.default.string]),targetId:e.default.oneOfType([e.default.number,e.default.string])})),headerHeight:e.default.oneOfType([e.default.arrayOf(e.default.number),e.default.number]),rowHeight:e.default.number,footerHeight:e.default.number,headerClassName:e.default.oneOfType([e.default.string,e.default.func]),rowClassName:e.default.oneOfType([e.default.string,e.default.func]),headerProps:e.default.oneOfType([e.default.object,e.default.func]),headerCellProps:e.default.oneOfType([e.default.object,e.default.func]),rowProps:e.default.oneOfType([e.default.object,e.default.func]),cellProps:e.default.oneOfType([e.default.object,e.default.func]),ganttTaskProps:e.default.oneOfType([e.default.object,e.default.func]),headerRenderer:e.default.oneOfType([e.default.func,e.default.element]),footerRenderer:e.default.oneOfType([e.default.func,e.default.element]),overlayRenderer:e.default.func,noDataValue:e.default.element,expandable:e.default.bool,defaultExpandedRowKeys:e.default.arrayOf(e.default.string),expandedRowKeys:e.default.arrayOf(e.default.string),showTimenowLine:e.default.bool,ganttColumnsWidth:e.default.number,ganttTaskHeight:e.default.number,ganttHeaderRenderer:e.default.func,ganttRowRenderer:e.default.PropTypes.func,groupBy:e.default.string,groupDatesBy:e.default.oneOf(["days","weeks","months","years"]),initialScrollToDate:e.default.oneOfType([e.default.string,e.default.instanceOf(Date)]),initialScrollToTask:e.default.oneOfType([e.default.number,e.default.string]),selectRowOnClick:e.default.bool,onColumnResize:e.default.func,onColumnResizeEnd:e.default.func,onRowClick:e.default.func,onScroll:e.default.func,onScrollbarPresenceChange:e.default.func},P.defaultProps={columns:[],columnsTotalWidthPercentage:50,multiSort:!1,links:[],headerHeight:48,rowHeight:20,footerHeight:0,headerClassName:void 0,rowClassName:void 0,headerProps:void 0,headerCellProps:void 0,rowProps:void 0,cellProps:void 0,ganttTaskProps:void 0,headerRenderer:void 0,footerRenderer:void 0,expandable:!1,noDataValue:void 0,showTimenowLine:!1,ganttColumnsWidth:80,ganttTaskHeight:8,ganttHeaderRenderer:void 0,ganttRowRenderer:void 0,groupBy:void 0,groupDatesBy:"days",initialScrollToDate:void 0,initialScrollToTask:void 0,selectRowOnClick:!0,onColumnResize:void 0,onColumnResizeEnd:void 0,onRowClick:void 0,onScroll:void 0,onScrollbarPresenceChange:void 0},exports.default=P;
