/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as P}from"react/jsx-runtime";import J from"clsx";import{isBefore as I,startOfDay as d,isAfter as T,isEqual as K}from"date-fns";import t from"prop-types";import $e,{useRef as Ge,useState as c,useEffect as ze,useImperativeHandle as Je,useCallback as Ke}from"react";import Qe from"../DatePicker/components/Calendar.js";import{parseDate as S,formatDatePicker as D}from"../DatePicker/utils/helpers.js";import Ue from"../Popover/Popover.js";import"../BaseIcon/BaseIcon.js";import"date-fns/locale/en-US";import"date-fns/locale/nb";import Xe from"../utils/setRef/setRef.js";import{getStyledSystemSpaceProps as Q,getStyledSystemTypographyProps as U,getStyledSystemLayoutProps as Ye,getStyledSystemPositionProps as X,getStyledSystemColorProps as Y,getStyledSystemBorderProps as Z,getStyledSystemGridLayoutProps as Ze,getStyledSystemFlexboxProps as et,getStyledSystemBackgroundProps as tt}from"../utils/styledSystemHelpers.js";import ot from"../utils/useForkRef/useForkRef.js";import"styled-components";import"color";import at from"./DateRangePickerInput.js";const x=$e.forwardRef(function(ee,E){const{className:te,popoverClassName:oe,tooltipRef:ae,nDisplays:N,nInputs:W,separator:re,allowClear:le,picker:s,value:m,defaultValue:b,format:n,placeholderStartDate:se,placeholderEndDate:ne,showTime:p,showToday:pe,showWeekNumber:ie,onChange:f,onChangeOnClickOutside:de,disabled:v,disabledDates:me,popoverElevation:ue,popoverPlacement:ce,popoverStyleProps:i,startDateInputProps:fe,endDateInputProps:ye,footer:he,...u}=ee,j=Ge(),R=ot(j,E),y=m?S(m[0],n):b?S(b[0],n):"",h=m?S(m[1],n):b?S(b[1],n):"",[_,k]=c(!1),[De,B]=c(y),[a,w]=c(y),[ge,L]=c(h),[r,C]=c(h),[V,q]=c(null),[l,O]=c(0),be=N>0?N:2,{...Pe}=Q(u),{...Se}=U(u),{...ve}=Ye(u),{...ke}=X(u),{...we}=Y(u),{...Ce}=Z(u),{...Oe}=Q(i),{...Ie}=Y(i),{...Te}=U(i),{...xe}=Ze(i),{...Ee}=et(i),{...Ne}=tt(i),{...We}=Z(i),{...je}=X(i),Re=D(s,a,n,p),_e=D(s,r,n,p);ze(()=>{w(y),C(h)},[m]),Je(E,()=>({open:()=>{M()},close:()=>{g()}}),[_]);const Be=Ke(e=>Xe(R,e),[R]),M=()=>{v||(k(!0),O(1),B(y||a),L(h||r))},A=()=>{v||(k(!0),O(2),B(y||a),L(h||r))},g=()=>{O(0),q(null),k(!1)},Le=(e,o)=>{j.current.contains(o.target)||(f&&de&&f({text:D(s,De,n,p),date:a||y||null},{text:D(s,ge,n,p),date:r||h||null}),g())},F=e=>{l===1&&w(e),l===2&&C(e)},Ve=e=>{const o=l===1?e:a,z=l===2?e:r;f&&l===2&&f({text:D(s,o,n,p),date:o},{text:D(s,z,n,p),date:z}),F(e),l===1?A():g()},qe=(e,o)=>{o.preventDefault(),o.stopPropagation(),!m&&(e===-1||e===1)&&w(null),!m&&(e===-1||e===2)&&C(null),f&&f({text:null,date:null},{text:null,date:null}),g()},H=e=>()=>{q(e)},$=e=>{if(l===1&&r){const o=a||e;return I(e,d(r))&&T(e,d(V||o))||K(e,d(r))}return l===2&&a?I(e,d(V||r||e))&&T(e,d(a))||K(e,d(a)):!1},Me=(e,o)=>!o&&a&&s==="week"&&$(e)?"is-range":"",Ae=(e,o)=>!o&&s==="week"?{onMouseEnter:H(e)}:{},Fe=(e,o)=>!o&&(a||r)&&s!=="week"&&$(e)&&!G(e)?"is-range":"",He=(e,o)=>!o&&s!=="week"?{onMouseEnter:H(e),disabled:o||G(e)}:{},G=e=>l===2&&a?I(e,d(a)):l===1&&r?T(e,d(r)):!1;return P(Ue,{tooltipRef:ae,className:J("opt-datepicker","opt-datepicker--range",oe),arrow:!1,open:_,onClose:g,onClickOutside:Le,content:P(Qe,{nDisplays:be,type:s,showToday:pe,showTime:p,showWeekNumber:ie,initialDate:l===1?a||null:r||null,onSelectDate:F,onChange:Ve,disabledDates:me,rowClassNames:Me,rowProps:Ae,cellClassNames:Fe,cellProps:He,footer:he}),elevation:ue,placement:ce,...Oe,...Ie,...Te,...xe,...Ee,...Ne,...We,...je,children:P("span",{className:J("opt-datepicker__input","opt-datepicker__input--range"),children:P(at,{ref:Be,className:te,allowClear:le,nInputs:W,focusInput:l,separator:re,placeholderStartDate:se||"Start date",placeholderEndDate:ne||"End date",startDate:Re||"",endDate:_e||"",onClickClear:qe,onClickStartDate:M,onClickEndDate:A,disabled:v,width:W>1?p?"190px":"135px":p?"300px":"220px",outlineWidth:u.outlineWidth,...Pe,...Se,...ve,...ke,...we,...Ce,startDateInputProps:fe,endDateInputProps:ye})})})});x.propTypes={popoverClassName:t.string,tooltipRef:t.object,nDisplays:t.number,nInputs:t.number,separator:t.oneOfType([t.string,t.element]),allowClear:t.bool,picker:t.oneOf(["date","week","month","quarter","year"]),value:t.arrayOf(t.oneOfType([t.string,t.instanceOf(Date)])),defaultValue:t.arrayOf(t.oneOfType([t.string,t.instanceOf(Date)])),format:t.string,placeholderStartDate:t.string,placeholderEndDate:t.string,showTime:t.bool,showToday:t.bool,showWeekNumber:t.bool,onChange:t.func,onChangeOnClickOutside:t.bool,disabled:t.bool,disabledDates:t.func,popoverElevation:t.number,popoverPlacement:t.oneOf(["bottom-end","bottom-start","bottom","left-end","left-start","left","right-end","right-start","right","top-end","top-start","top"]),popoverStyleProps:t.object,startDateInputProps:t.object,endDateInputProps:t.object,footer:t.element},x.defaultProps={nDisplays:2,nInputs:1,separator:"-",allowClear:!0,picker:"date",value:void 0,defaultValue:void 0,format:void 0,placeholderStartDate:void 0,placeholderEndDate:void 0,showTime:!1,showToday:!0,showWeekNumber:!1,onChange:void 0,onChangeOnClickOutside:!0,disabled:!1,disabledDates:void 0,popoverElevation:2,popoverPlacement:"bottom-start",popoverStyleProps:{},startDateInputProps:{},endDateInputProps:{},footer:void 0};export{x as default};
