/**
 * @equinor/opt-ui-core v6.24.2
 *
 * Copyright (c) Equinor ASA.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */import{jsx as j}from"react/jsx-runtime";import $ from"clsx";import e from"prop-types";import ke,{useRef as Se,useState as g,useMemo as De,useEffect as q,useImperativeHandle as He,useCallback as V}from"react";import xe from"../Paper/Paper.js";import"../Table/components/DraggableCell.js";import"../Table/components/DraggableElement.js";import"../Table/components/ExpandCell.js";import"../Table/components/SelectionCell.js";import We from"../Table/components/SortIndicator.js";import{sortData as G,getPropValue as _e}from"../Table/utils/helpers.js";import"../BaseIcon/BaseIcon.js";import"date-fns";import"date-fns/locale/en-US";import"date-fns/locale/nb";import Be from"../utils/useElementSize/useElementSize.js";import"styled-components";import"color";import{GanttTable as Ee}from"./Gantt.styles.js";import Ie from"./renderers/emptyRenderer.js";import Ne from"./renderers/overlayRenderer.js";import ze from"./renderers/rowRenderer.js";import{isSameDate as Ke,parseDate as Le}from"./utils/dates.js";import{makeColumns as je,getGanttWidth as $e,getGanttWidthWithoutScroll as qe,makeData as Ve}from"./utils/helpers.js";const C=ke.forwardRef(function(M,F){const{className:Q,start:s,end:i,data:d,columns:b,columnsTotalWidthPercentage:U,multiSort:X,links:Ge,headerHeight:Y,rowHeight:O,footerHeight:Z,headerClassName:A,rowClassName:J,headerProps:ee,headerCellProps:oe,rowProps:re,cellProps:te,ganttTaskProps:ne,headerRenderer:ae,footerRenderer:se,overlayRenderer:ie,noDataValue:le,expandable:de,defaultExpandedRowKeys:ce,expandedRowKeys:ue,showTimenowLine:P,ganttColumnsWidth:h,ganttTaskHeight:me,ganttHeaderRenderer:v,ganttRowRenderer:pe,groupDatesBy:l,groupBy:k,initialScrollToDate:S,initialScrollToTask:D,selectRowOnClick:H,onColumnResize:fe,onColumnResizeEnd:ge,onRowClick:x,onScroll:W,onScrollbarPresenceChange:he}=M,n=Se(),[w,{width:c,height:we}]=Be(),_=typeof x=="function",[u,B]=g({}),[E,I]=g([]),[Te,ye]=g([]),[N,T]=g([]),a=De(()=>je(c,b,U,s,i,l,h,v),[c,b,s,i,l,h,v]),z=a.filter(o=>!o.key.startsWith("__gantt")),m=$e(c,z),p=qe(a,z,h);q(()=>{const o=Ve(d,s,i,k,l);ye([...o]),T([...G(o,a,u)])},[d,s,i,k,l]),q(()=>{n.current&&(K(D),y(S))},[n.current,S,D]),He(F,()=>({scrollToDate:o=>{setTimeout(()=>y(o))},scrollToTask:o=>{setTimeout(()=>K(o))},clearSortState:()=>{B({})},setSelectedRows:o=>{I(o)},getTableRef:()=>n.current}));const Re={onClick:({rowData:o,rowIndex:r,rowKey:t,event:ve})=>{if(_&&(x({rowData:o,rowIndex:r,rowKey:t,event:ve}),H)){const{id:R}=o,f=[];E.includes(R)?f.splice(f.indexOf(R),1):f.push(R),I(f)}}},Ce=V(({key:o,order:r})=>{const t={...X?u:{},[o]:r};u[o]==="desc"&&delete t[o],Object.keys(t).length>0?T([...G(N,a,t)]):T([...Te]),B(t)}),be=({rowData:{id:o}})=>E.findIndex(r=>r===o)!==-1,Oe=V(o=>$(_e(J,o,""),_&&"BaseTable__row--clickable",H&&be(o)&&"BaseTable__row--selected")),y=o=>{if(!o||!n.current)return;let r=0;n.current.getColumnManager().getColumns().findIndex(t=>Ke(t.date,o)?!0:(t.frozen||(r+=t.width),!1))!==-1&&n.current.scrollToLeft(r),L(r)},K=o=>{if(!o||!n.current)return;const r=d.findIndex(t=>t.id===o);r!==-1&&(n.current.scrollToRow(r,"start"),y(Le(d[r].startDate)))},L=o=>{P&&setTimeout(()=>{const r=document.getElementById("opt-gantt__timenowLine-container");r&&(r.scrollLeft=o)})},Pe=o=>ze({...o,rowWidth:p<m?m:p,rowHeight:O,ganttTaskHeight:me,ganttTaskProps:ne,ganttRowRenderer:pe});return j(xe,{ref:w,className:$(Q,"opt-gantt"),elevation:0,height:"100%",children:j(Ee,{ref:n,fixed:!0,width:c,height:w.current?w.current.offsetHeight:we,columns:a,data:N,headerHeight:Y,rowHeight:O,footerHeight:Z,headerClassName:A,rowClassName:Oe,headerProps:ee,headerCellProps:oe,rowProps:re,cellProps:te,headerRenderer:ae,rowRenderer:Pe,rowEventHandlers:Re,components:{SortIndicator:We},sortState:u,onColumnSort:Ce,expandColumnKey:de?"__expandable__":null,defaultExpandedRowKeys:ce,expandedRowKeys:ue,emptyRenderer:Ie(le),footerRenderer:se,overlayRenderer:Ne({showTimenowLine:P,start:s,end:i,rowWidth:p<m?m:p,columns:a,groupDatesBy:l,overlayRendererProps:ie}),onColumnResize:fe,onColumnResizeEnd:ge,onScroll:o=>{L(o.scrollLeft),W&&W(o)},onScrollbarPresenceChange:he,overscanRowCount:2})})});C.propTypes={start:e.oneOfType([e.string,e.instanceOf(Date)]).isRequired,end:e.oneOfType([e.string,e.instanceOf(Date)]).isRequired,data:e.arrayOf(e.shape({id:e.oneOfType([e.number,e.string]),parent:e.oneOfType([e.number,e.string]),startDate:e.oneOfType([e.string,e.instanceOf(Date)]).isRequired,endDate:e.oneOfType([e.string,e.instanceOf(Date)]).isRequired,progress:e.number,open:e.bool})).isRequired,columns:e.arrayOf(e.object),columnsTotalWidthPercentage:e.number,multiSort:e.bool,links:e.arrayOf(e.shape({sourceId:e.oneOfType([e.number,e.string]),targetId:e.oneOfType([e.number,e.string])})),headerHeight:e.oneOfType([e.arrayOf(e.number),e.number]),rowHeight:e.number,footerHeight:e.number,headerClassName:e.oneOfType([e.string,e.func]),rowClassName:e.oneOfType([e.string,e.func]),headerProps:e.oneOfType([e.object,e.func]),headerCellProps:e.oneOfType([e.object,e.func]),rowProps:e.oneOfType([e.object,e.func]),cellProps:e.oneOfType([e.object,e.func]),ganttTaskProps:e.oneOfType([e.object,e.func]),headerRenderer:e.oneOfType([e.func,e.element]),footerRenderer:e.oneOfType([e.func,e.element]),overlayRenderer:e.func,noDataValue:e.element,expandable:e.bool,defaultExpandedRowKeys:e.arrayOf(e.string),expandedRowKeys:e.arrayOf(e.string),showTimenowLine:e.bool,ganttColumnsWidth:e.number,ganttTaskHeight:e.number,ganttHeaderRenderer:e.func,ganttRowRenderer:e.PropTypes.func,groupBy:e.string,groupDatesBy:e.oneOf(["days","weeks","months","years"]),initialScrollToDate:e.oneOfType([e.string,e.instanceOf(Date)]),initialScrollToTask:e.oneOfType([e.number,e.string]),selectRowOnClick:e.bool,onColumnResize:e.func,onColumnResizeEnd:e.func,onRowClick:e.func,onScroll:e.func,onScrollbarPresenceChange:e.func},C.defaultProps={columns:[],columnsTotalWidthPercentage:50,multiSort:!1,links:[],headerHeight:48,rowHeight:20,footerHeight:0,headerClassName:void 0,rowClassName:void 0,headerProps:void 0,headerCellProps:void 0,rowProps:void 0,cellProps:void 0,ganttTaskProps:void 0,headerRenderer:void 0,footerRenderer:void 0,expandable:!1,noDataValue:void 0,showTimenowLine:!1,ganttColumnsWidth:80,ganttTaskHeight:8,ganttHeaderRenderer:void 0,ganttRowRenderer:void 0,groupBy:void 0,groupDatesBy:"days",initialScrollToDate:void 0,initialScrollToTask:void 0,selectRowOnClick:!0,onColumnResize:void 0,onColumnResizeEnd:void 0,onRowClick:void 0,onScroll:void 0,onScrollbarPresenceChange:void 0};export{C as default};
